#ifndef GetParameterAsList_H
#define GetParameterAsList_H

#include <Command.h>

namespace ProtoGenWrapper {
	class DParameterContainer;
}


namespace ProtoGenWrapper
{
	class GetParameterAsList:
		public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		GetParameterAsList(const DParameterContainer& parameterContainer);
		GetParameterAsList(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);

		bool GetValues(DParameterContainer& parameterContainer) const;

		static int GetCommandType();
	};
}
#endif // GetParameterAsList_H
